<template>
  <RouterView />
  <Toaster />
</template>

<script lang="ts" setup>
import { Toaster } from "vue-sonner";
import useSnowflake from "@/js/contexts/shared/composables/useSnowflake";

const { props } = useSnowflake();

useHead({
  titleTemplate: props.seo.title_template,
  templateParams: { separator: props.seo.title_separator, appName: props.app.name },
  meta: [
    { name: "description", content: props.seo.description ?? undefined },
    { name: "keywords", content: props.seo.keywords ?? undefined },
  ],
  link: [{ href: props.appearance.icon, rel: "shortcut icon" }],
});
</script>
